QuickBooks Security Upgrade Needed for Uninterrupted Services

Yeo & Yeo CPAs & Business Consultants

A security upgrade is necessary for all connections used by QuickBooks Desktop, 2015 and later. After May 31, 2018, you will need to meet certain system requirements to access Intuit services. It is highly recommended to consider all of your services and how the new system requirements will affect them. If these requirements are not met, critical services including–but not limited to–the following will be impacted:

  • All connected services such as payroll, payments, online banking, etc.
  • QuickBooks Desktop activation on a new computer
  • Password reset tool
  • Services that require Intuit account credentials (One Intuit Identity - OII) such as My apps, secure webmail, contributed reports etc.
  • Intuit Data Protect (IDP)
  • Help pages
  • Ordering checks and supplies

Follow these steps to ensure greater security and stability with TLS 1.2, an internet security protocol. If you want to learn more about TLS 1.2, click here.

For more information, please view this QuickBooks article. Contact your Yeo & Yeo professional for additional assistance.

 

Yeo & Yeo CPAs & Business Consultants

Yeo & Yeo CPAs & Business Consultants

Yeo & Yeo CPAs & Business Consultants is a leading Michigan accounting firm. Since 1923, our industry-specialized Michigan accountants and consultants have provided clients with forward-thinking, comprehensive solutions in accounting, audit, tax, technology and business consulting.